projects ยท version 0.1.0

Create a project

POST /api/projects

Request

POST https://sourced.sh/api/projects

Request body

Required.

application/json

ProjectCreateInput:
  type: object
  required: name
  properties:
    name (required): string
    apiName: string
    mode: string enum flagship | stainless_compatible | custom | openapi | stainless_migration
      Use `flagship` for Sourced-native generation or `stainless_compatible` for clean-room Stainless-compatible migration. Legacy aliases are accepted.

Responses

201

Project created.

application/json

type: object
required: project
properties:
  project (required): Project
    Project:
      type: object
      required: id, name, createdAt
      properties:
        id (required): string
        name (required): string
        apiName: string
        mode: string enum flagship | stainless_compatible | custom | openapi | stainless_migration
          New writes use `flagship` or `stainless_compatible`; legacy `custom`, `openapi`, and `stainless_migration` records may still be returned.
        status: string enum created | active | archived
        createdAt (required): string
        updatedAt: string
        runCount: integer

401

402

403

Back to version index